package modelo.aportes;

public class AportePorcentual extends Aporte {

    double porcentaje;

    public AportePorcentual(double produccion, double porcentaje) {
        super(produccion);
        this.porcentaje = porcentaje;
    }

    public double aportarA(double saldo) {
        return saldo + (this.produccion * this.porcentaje);
    }
}
