package modelo;

import java.util.ArrayList;
import java.util.Collection;

public class Imperio {

    private Collection<Contribuyente> planetas = new ArrayList<>();

    private FondoDeContribucion fondoDeContribucion = new FondoDeContribucion();

    public double solicitarRemesaDeProduccion() {

        for (Contribuyente planeta : planetas) {
            planeta.contribuir(this.fondoDeContribucion);
        }

        return this.fondoDeContribucion.ObtenerSaldo();
    }

    public void agregarPlaneta(Contribuyente planeta) {
        this.planetas.add(planeta);
    }
}
